OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
MoniTool

# MoniTool_SignText Class Reference

Provides the basic service to get a text which identifies
an object in a context
It can be used for other classes (general signatures ...)
It can also be used to build a message in which an object
is to be identified
.

`#include <MoniTool_SignText.hxx>`

Inheritance diagram for MoniTool_SignText:

[legend]

## Public Member Functions
virtual Standard_EXPORT Standard_CString | Name () const =0
| Returns an identification of the Signature (a word), given at initialization time .
virtual Standard_EXPORT TCollection_AsciiString | TextAlone (const Handle(Standard_Transient)&ent) const
| Gives a text as a signature for a transient object alone, i.e. without defined context. By default, calls Text with undefined context (Null Handle) and if empty, then returns DynamicType .
virtual Standard_EXPORT TCollection_AsciiString | Text (const Handle(Standard_Transient)&ent, const Handle(Standard_Transient)&context) const =0
| Gives a text as a signature for a transient object in a context If the context is senseless, it can be given as Null Handle empty result if nothing to give (at least the DynamicType could be sent ?) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const MoniTool_SignText::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in IFSelect_SignAncestor, IFSelect_Signature, IFSelect_SignCategory, IFSelect_SignMultiple, IFSelect_SignType, IFSelect_SignValidity, IGESSelect_IGESName, IGESSelect_IGESTypeForm, IGESSelect_SignColor, IGESSelect_SignLevelNumber, IGESSelect_SignStatus, Interface_SignLabel, Interface_SignType, MoniTool_SignShape, StepSelect_StepType, STEPSelections_SelectDerived, and XSControl_SignTransferStatus.

virtual Standard_EXPORT Standard_CString MoniTool_SignText::Name | ( |  | ) | const`[pure virtual]`

| Implemented in IFSelect_Signature, Interface_SignLabel, and MoniTool_SignShape.

virtual Standard_EXPORT TCollection_AsciiString MoniTool_SignText::Text | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Standard_Transient)& | context
| ) | const`[pure virtual]`

| Implemented in Interface_SignLabel, Interface_SignType, and MoniTool_SignShape.

virtual Standard_EXPORT TCollection_AsciiString MoniTool_SignText::TextAlone | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

The documentation for this class was generated from the following file:

- MoniTool_SignText.hxx